Separators (Jackson-core 2.11.0 API)
Date: 2020-04-25

com.fasterxml.jackson.core.util

## Class Separators

- java.lang.Object
- - com.fasterxml.jackson.core.util.Separators

- All Implemented Interfaces:
    Serializable

      public class Separators
      extends Object
      implements Serializable

  Value class used with some `PrettyPrinter` implements
  Since:
    2.9
  See Also:
    `DefaultPrettyPrinter`, `MinimalPrettyPrinter`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Separators()`
    `Separators(char objectFieldValueSeparator, char objectEntrySeparator, char arrayValueSeparator)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Separators` | `createDefaultInstance()`
    `char` | `getArrayValueSeparator()`
    `char` | `getObjectEntrySeparator()`
    `char` | `getObjectFieldValueSeparator()`
    `Separators` | `withArrayValueSeparator(char sep)`
    `Separators` | `withObjectEntrySeparator(char sep)`
    `Separators` | `withObjectFieldValueSeparator(char sep)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Separators

          public Separators()

    - #### Separators

          public Separators(char objectFieldValueSeparator,
                            char objectEntrySeparator,
                            char arrayValueSeparator)

  - ### Method Detail

    - #### createDefaultInstance

          public static Separators createDefaultInstance()

    - #### withObjectFieldValueSeparator

          public Separators withObjectFieldValueSeparator(char sep)

    - #### withObjectEntrySeparator

          public Separators withObjectEntrySeparator(char sep)

    - #### withArrayValueSeparator

          public Separators withArrayValueSeparator(char sep)

    - #### getObjectFieldValueSeparator

          public char getObjectFieldValueSeparator()

    - #### getObjectEntrySeparator

          public char getObjectEntrySeparator()

    - #### getArrayValueSeparator

          public char getArrayValueSeparator()

Copyright © 2008–2020 FasterXML. All rights reserved.